<?php
namespace Claromentis\Core\DataTable;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_ac6e49283fe5c70ee60c8fac3eb36f" . "71" => base64_decode("b3JkZXJh" . "Ymxl"), "_4ccaca2e2404a3eaee38951" . "1430b7a62" => base64_decode("dGVt" . "cGxh" . "dGVf" . "a2V5"), "k" . "e" . "y" => base64_decode("a2V" . "5"), "n" . "a" . "m" . "e" => base64_decode("bmF" . "tZQ" . "=="));
use Claromentis\Core\DataTable\Contract;






class Column implements \JsonSerializable
{
    const TYPE_LINK = "Link";
    const TYPE_ICON = "Icon";
    const TYPE_LABEL = "Label";
    
    
    
    
    
    protected $key;
    
    
    
    
    
    protected $name;
    
    
    
    
    protected $decorator;
    
    
    
    
    
    protected $orderable;
    
    
    
    
    
    public function __construct($key, $name)
    {
        $this->key = $key;
        $this->name = $name;
        $this->orderable = false;
    }
    
    
    
    
    
    public function SetDecorator(Contract\Decorator $_2e2ee510f512062f96daee84c4e3a0ca)
    {
        $this->decorator = $_2e2ee510f512062f96daee84c4e3a0ca;
    }
    
    
    
    
    
    public function GetDecorator()
    {
        return $this->decorator;
    }
    
    
    
    
    
    public function GetKey()
    {
        return $this->key;
    }
    
    
    
    
    
    public function GetName()
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function SetOrderable($_ac6e49283fe5c70ee60c8fac3eb36f71)
    {
        $this->orderable = $_ac6e49283fe5c70ee60c8fac3eb36f71;
    }
    
    
    
    
    
    public function GetOrderable()
    {
        return $this->orderable;
    }
    
    
    
    
    
    
    
    
    function jsonSerialize()
    {
        $_ed5f03d686c37933b5943f295c6b4a43 = array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["ke" . "y"] => $this->key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["n" . "a" . "m" . "e"] => $this->name, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ac6e49283fe5c70ee60" . "c8fac3eb36f71"] => $this->orderable);
        if ($this->decorator) {
            $_ed5f03d686c37933b5943f295c6b4a43[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4ccaca2e2404a3eaee" . "389511430b7a62"]] = $this->decorator->GetTemplateHash();
        }
        return $_ed5f03d686c37933b5943f295c6b4a43;
    }
}